Bug 97444 - aspell Provides pspell?
aspell Provides pspell?
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: aspell (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-15 19:00 EDT by Warren Togami
Modified: 2014-01-21 17:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-16 14:32:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2003-06-15 19:00:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030611

Description of problem:
aspell in Rawhide recently included pspell functionality.  aspell.spec contains
the following:

Provides: pspell
Obsoletes: ispell, pspell, aspell-de < 0.50, aspell-fr < 0.50, aspell-ca < 0.50,
aspell-da < 0.50, aspell-es < 0.50, aspell-it < 0.50, aspell-nl < 0.50,
aspell-no < 0.50, aspell-sv < 0.50

But...

Obsoletes: pspell-devel

Two questions
1) How does rpm, up2date, apt and yum behave when a package both Provides and
Obsoletes pspell?  If pspell functionality is still within this package, why
Obsolete it at all?
2) Can Provides: pspell-devel be added?  This would be convenient for 3rd party
packages that wish to maintain backward compatibilty (not change pspell to
aspell within .spec).

Version-Release number of selected component (if applicable):
aspell-0.50.3-12
Comment 1 Seth Vidal 2003-06-15 21:49:20 EDT
from what I can tell yum will treat a self-obsoleting package just like any
other package.
Comment 2 Ville Skyttä 2003-06-16 01:26:33 EDT
In addition to obsoleting pspell*, I guess the lack of pspell-devel provision
can be seen as a strong hint to packagers: "Stop using pspell, change to aspell
NOW."
Comment 3 Warren Togami 2003-06-16 02:23:01 EDT
I ask for Provides: pspell-devel so packagers wont need to add ugly conditionals
to spec files for their SRPM to support RH8, RH9 and TNV.  Yes it is not fatal,
and we can work with whatever Red Hat decides is best for this package.
Comment 4 Panu Matilainen 2003-06-16 04:27:07 EDT
Apt doesn't mind about the self obsoleting; I have a few packages doing that and
haven't seen problems.
Comment 5 Eido Inoue 2003-06-16 10:43:37 EDT
Will add pspell-devel to provides. As for the previous comments, obsoleting and
providing at the same time is perfectly acceptable in this case, and with RPM.

Note You need to log in before you can comment on or make changes to this bug.